#ifndef CATAPULT_H
#define CATAPULT_H

typedef enum {
	DEFAULT,
	PORTAGE,
	PALUDIS,
	PKGCORE } backend_t;

const char * get_dbus_address (backend_t);

#define CATAPULT_SYSTEM_BUS "/org/gentoo/catapult/System"
#define CATAPULT_PACKAGE_BUS "/org/gentoo/catapult/Package"

#define CATAPULT_SYSTEM_IFACE "org.gentoo.catapult.System"
#define CATAPULT_PACKAGE_IFACE "org.gentoo.catapult.Package"
#define CATAPULT_ADMIN_IFACE "org.gentoo.catapult.Admin"

#endif // CATAPULT_H
